/* eslint-disable @typescript-eslint/no-explicit-any */

export function bound(_: unknown, { name, addInitializer }: ClassMemberDecoratorContext) {
  addInitializer(function (this: any) {
    this[name] = this[name].bind(this)
  })
}
